Name: fltk
Version: 1.1.9
Release: %mkrel 12
Group: System/Libraries
Summary: Fast Light Tool Kit (FLTK)
License: LGPLv2+
Source: ftp://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.bz2
Patch0: fltk-1.1.9-libinstall.patch
Patch1: fltk-1.1.9-install-fltk-config.patch
Patch2: fltk-1.1.9-install-manpage.patch
Patch3: fltk-1.1.9-set-images-libs.patch
Patch4: fltk-1.1.9-extra-libs.patch
Patch5: fltk-1.1.9-fix-fltk-config-libs.patch
URL: http://www.fltk.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: X11-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: zlib-devel
BuildRequires: man
BuildRequires: cmake

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

#---------------------------------------------------------------------------

%define lib_major 1.1
%define libname %mklibname %{name} %lib_major

%package -n %{libname}
Summary: Fast Light Tool Kit (FLTK) - main library
Group: System/Libraries
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n	%{libname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfltk*.so.*

#---------------------------------------------------------------------------

%define develname	%mklibname %name -d

%package -n	%{develname}
Summary: Fast Light Tool Kit (FLTK) - development environment
Group: Development/C
Requires: %{libname} = %{version}
Obsoletes: %{name}-devel < %{version}-%{release}
Obsoletes: %{_lib}%{name}1.1-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{develname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install libfltk1-devel if you need to develop FLTK applications.  You'll
need to install the libfltk1.1 package if you plan to run dynamically 
linked applications.

%files -n %{develname}
%defattr(-,root,root)
%doc README CHANGES
%doc documentation/*.html documentation/*.jpg documentation/*.gif
%{_includedir}/F?
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/libfltk*.so
%dir %{_libdir}/FLTK-%{lib_major}
%{_libdir}/FLTK-%{lib_major}/*

#---------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
%define Werror_cflags %{nil}
%cmake \
    -DFLTK_USE_SYSTEM_ZLIB=ON \
    -DFLTK_USE_SYSTEM_JPEG=ON \
    -DFLTK_USE_SYSTEM_PNG=ON \
    -DBUILD_EXAMPLES=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std -C build

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/fltk-config

# CMake official test requires that CMakeCache are present
install -m 644 build/CMakeCache.txt %{buildroot}%{_libdir}/FLTK-%{lib_major}

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Thu Jan 29 2009 Funda Wang <fundawang@mandriva.org> 1.1.9-12mdv2009.1
+ Revision: 335174
- fix link dir

* Thu Jan 29 2009 Funda Wang <fundawang@mandriva.org> 1.1.9-11mdv2009.1
+ Revision: 335142
- do not build examples
- "fltk-config --libs" should return the same result as --ldflags

* Sun Dec 14 2008 Funda Wang <fundawang@mandriva.org> 1.1.9-10mdv2009.1
+ Revision: 314120
- add extra libs to fltk-config
- about to split zlib

* Sun Dec 14 2008 Funda Wang <fundawang@mandriva.org> 1.1.9-9mdv2009.1
+ Revision: 314108
- set images in fltk-config

* Sun Dec 14 2008 Funda Wang <fundawang@mandriva.org> 1.1.9-8mdv2009.1
+ Revision: 314101
- install manpages and documentations

* Sun Dec 14 2008 Funda Wang <fundawang@mandriva.org> 1.1.9-7mdv2009.1
+ Revision: 314096
- fix include dir

* Sun Dec 14 2008 Funda Wang <fundawang@mandriva.org> 1.1.9-6mdv2009.1
+ Revision: 314086
- remove wrong provides
- install fltk-config too. It is not deprecated, but missed from installing

* Thu Dec 04 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1.9-4mdv2009.1
+ Revision: 310038
- Bump release to recompile
- Fixed library install with cmake
- Make package right. Since change to cmake, most of software are not
  recognizing fltk in a right way. configure SHOULD NOT be used anymore, and
  fltk-config is deprecated

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.9-2mdv2009.0
+ Revision: 264466
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.9-1mdv2009.0
+ Revision: 205946
- New stable release

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.8-0.5940.1mdv2008.1
+ Revision: 149729
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.8-0.5940.1mdv2008.0
+ Revision: 80679
- move doc files to -devel package (lib policy)
- use Fedora license policy
- new snapshot 5940

* Thu Jun 28 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.8-0.5917.1mdv2008.0
+ Revision: 45320
- correct cleanup, disable debug package build again
- try again with debug...
- close if statement
- clean up after hack, disable debug packages as generation seems broken
- use Fedora trick instead
- rediff and reintroduce x86-64 patch, seems to be needed
- new devel policy
- unversioned doc dir
- go to 1.1.x snapshot series (needed for latest flphoto)


* Fri Aug 25 2006 Gaetan Lehmann <glehmann@mandriva.org> 1.1.7-7mdv2007.0
- add cmake config files

* Tue Jun 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.7-5mdv2007.1
- Rebuild for missing packages

* Sun Jun 25 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.7-4mdv2007.1
rebuild for png

* Sat Jun 10 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.7-4mdk
- new mesa BuildRequires

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.7-3mdk
- rebuild for sparc

* Tue Mar 07 2006 Austin Acton <austin@mandriva.org> 1.1.7-2mdk
- mkrel
- enable threads
- buildreuqires alsa and GLU

* Mon Mar 06 2006 Austin Acton <austin@mandriva.org> 1.1.7-1mdk
- 1.1.7
- minor tweaks

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.6-3mdk
- Rebuild

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.6-2mdk
- multiarch

* Mon Dec 13 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.6-1mdk
- Updated to version 1.1.6.

* Fri Jun 04 2004 <lmontel@n2.mandrakesoft.com> 1.1.4-3mdk
- Rebuild

* Tue Jan 27 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.4-2mdk
- fix unpackaged files
- fix {build,}requires
- cosmetics

* Wed Oct 08 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.4-1mdk
- 1.1, more lib64 fixes

